import { useActiveRoute } from "@hooks/apis/common/quote/useActiveRoute";
import { ApprovalModalLayout } from "./layout";

export const ERC20Approval = () => {
	const { data } = useActiveRoute();
	if (!data) return <></>;

	return <ApprovalModalLayout token={data?.primaryInput.token} />;
};
